#!/bin/bash

cd `dirname $0`/..
#ReleaseSeries.MinorVersion
Version=`git rev-parse --abbrev-ref HEAD | tail -1`.$(( (`TZ=UTC date +%s`-`cat ../InitDate.txt`) / 16920 ))
if [ "x$1" != "x-r" ]; then
	sed -i "s/__version__ = '.*'/__version__ = '$Version'/" youtube_dl/version.py
	sed -i "s/<unreleased>/$Version/" ChangeLog
	sed -i "s/<unreleased>/$Version/" ../Patches/Files/ChangeLog
	#git tag -s -m "Release $version" "$version"
fi
echo -n ${Version}